org.apache.http.nio.protocol

## Interface HttpAsyncRequestExecutionHandler<T>

- Type Parameters:
    `T` - the result type of request execution.
  All Superinterfaces:
    AutoCloseable, Cancellable, Closeable, HttpAsyncRequestProducer, HttpAsyncResponseConsumer<T>
  All Known Implementing Classes:
    BasicAsyncRequestExecutionHandler

  Deprecated.
  use `HttpAsyncClientExchangeHandler`

      @Deprecated
      public interface HttpAsyncRequestExecutionHandler<T>
      extends HttpAsyncRequestProducer, HttpAsyncResponseConsumer<T>

  `HttpAsyncRequestExecutionHandler` represents a callback interface that combines functionality of `HttpAsyncRequestProducer` and `HttpAsyncResponseConsumer` and is capable of handling logically related series of HTTP request / response exchanges.
  Since:
    4.2

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConnectionReuseStrategy` | `getConnectionReuseStrategy()` Deprecated. Returns `ConnectionReuseStrategy` implementation to be used to determine whether or not the underlying connection can be kept alive after a particular HTTP request / response exchange.
    `HttpContext` | `getContext()` Deprecated. Returns shared `HttpContext` instance.
    `HttpProcessor` | `getHttpProcessor()` Deprecated. Returns `HttpProcessor` implementation to be used to process HTTP request and response messages for protocol compliance.

    - ### Methods inherited from interface org.apache.http.nio.protocol.HttpAsyncRequestProducer

      `failed, generateRequest, getTarget, isRepeatable, produceContent, requestCompleted, resetRequest`

    - ### Methods inherited from interface org.apache.http.nio.protocol.HttpAsyncResponseConsumer

      `consumeContent, failed, getException, getResult, isDone, responseCompleted, responseReceived`

    - ### Methods inherited from interface java.io.Closeable

      `close`

    - ### Methods inherited from interface org.apache.http.concurrent.Cancellable

      `cancel`

- - ### Method Detail

    - #### getContext

          HttpContext getContext()

      Deprecated.
      Returns shared `HttpContext` instance.
      Returns:
        HTTP context

    - #### getHttpProcessor

          HttpProcessor getHttpProcessor()

      Deprecated.
      Returns `HttpProcessor` implementation to be used to process HTTP request and response messages for protocol compliance.
      Returns:
        HTTP protocol processor.

    - #### getConnectionReuseStrategy

          ConnectionReuseStrategy getConnectionReuseStrategy()

      Deprecated.
      Returns `ConnectionReuseStrategy` implementation to be used to determine whether or not the underlying connection can be kept alive after a particular HTTP request / response exchange.
      Returns:
        connection re-use strategy.

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.